/*
 * @Author: zong.wang01@hand-china.com
 * @Date: 2024-07-30 09:41:54
 * @LastEditors: zong.wang01@hand-china.com
 * @LastEditTime: 2024-08-27 14:27:21
 * @Version: 1.0.0
 * @Description: 表格列渲染
 * @Copyright: Copyright (c) 2021, Hand-RongJing
 */
import Vue from 'vue';

const DTitleRender = {
  props: {
    title: {
      type: String,
      default: '',
    },
    extraRender: {
      type: Function,
      default: null
    },
    instance: {
      type: Object,
      default: () => ({})
    }
  },
  // 为了弥补缺少的实例
  // 提供第二个参数作为上下文
  render: function (h, context) {
    return this.extraRender ? this.extraRender(this.instance) : <div class="title">{this.title}</div>
  }
};
 
export default DTitleRender;